Skip to main content
GET
/
api
/
v2
/
filestorage
/
{filestorageID}
Get file storage
curl --request GET \
  --url https://region.nks.europe-west4.nscale.com/api/v2/filestorage/{filestorageID} \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
    "name": "storage-name",
    "organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
    "projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
    "creationTime": "2024-05-31T14:11:00Z",
    "createdBy": "john.doe@acme.com",
    "provisioningStatus": "provisioned",
    "healthStatus": "healthy",
    "tags": [
      {
        "name": "tag-name",
        "value": "tag-value"
      }
    ]
  },
  "spec": {
    "sizeGiB": 200,
    "storageType": {
      "nfs": {
        "rootsquash": true
      }
    },
    "attachments": {
      "networkIds": [
        "903b5fba-8eb0-4016-a854-b8f716bcd9bb"
      ]
    }
  },
  "status": {
    "regionId": "ba39bff5-b0d8-4c60-89e5-ed1104356b4a",
    "storageClassId": "99659b44-1700-400f-9c6c-cfdb4bb0445c",
    "usage": {
      "capacityBytes": 107374182400,
      "usedBytes": 94489280512
    },
    "attachments": [
      {
        "networkId": "903b5fba-8eb0-4016-a854-b8f716bcd9bb",
        "mountSource": "10.0.0.16:/mnt/nfs",
        "provisioningStatus": "provisioned"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nscale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

filestorageID
string
required

The storage unique identifier. A Kubernetes name. Must be a valid DNS containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.

Required string length: 1 - 63

Response

A storage.

A storage read only group.

metadata
object
required

Metadata required by project scoped resource reads.

spec
object
required

A storage's specification.

status
object
required

Read only status about storage